Package org.kapott.hbci.callback

# Class HBCICallbackSwingInternal

java.lang.Object
org.kapott.hbci.callback.AbstractHBCICallback
org.kapott.hbci.callback.HBCICallbackIOStreams
org.kapott.hbci.callback.HBCICallbackConsole
org.kapott.hbci.callback.HBCICallbackSwing
org.kapott.hbci.callback.HBCICallbackSwingInternal

All Implemented Interfaces:
  `HBCICallback`

public class HBCICallbackSwingInternal extends HBCICallbackSwing
Callback für Anwendungen mit GUI; arbeitet mit `JInternalFrame`s anstatt mit Top-Level-Windows.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`DIALOG_CLOSABLE`
`static final boolean`
`DIALOG_ICONIFIABLE`
`static final boolean`
`DIALOG_MAXIMIZABLE`
`static final boolean`
`DIALOG_NOT_CLOSABLE`
`static final boolean`
`DIALOG_NOT_ICONIFIABLE`
`static final boolean`
`DIALOG_NOT_MAXIMIZABLE`
`static final boolean`
`DIALOG_NOT_RESIZABLE`
`static final boolean`
`DIALOG_RESIZABLE`

### Fields inherited from class org.kapott.hbci.callback.HBCICallbackSwing

`ACTION_BLOCKING, ACTION_NOT_BLOCKING, DIALOG_MODAL, DIALOG_NOT_MODAL, passports`

### Fields inherited from interface org.kapott.hbci.callback.HBCICallback

`CLOSE_CONNECTION, HAVE_CHIPCARD, HAVE_CRC_ERROR, HAVE_ERROR, HAVE_HARDPIN, HAVE_IBAN_ERROR, HAVE_INST_MSG, HAVE_NEW_MY_KEYS, HAVE_VOP_RESULT, NEED_BLZ, NEED_CHIPCARD, NEED_CONNECTION, NEED_COUNTRY, NEED_CUSTOMERID, NEED_FILTER, NEED_HARDPIN, NEED_HOST, NEED_INFOPOINT_ACK, NEED_NEW_INST_KEYS_ACK, NEED_PASSPHRASE_LOAD, NEED_PASSPHRASE_SAVE, NEED_PORT, NEED_PROXY_PASS, NEED_PROXY_USER, NEED_PT_DECOUPLED, NEED_PT_DECOUPLED_RETRY, NEED_PT_PHOTOTAN, NEED_PT_PIN, NEED_PT_QRTAN, NEED_PT_SECMECH, NEED_PT_TAN, NEED_PT_TANMEDIA, NEED_REMOVE_CHIPCARD, NEED_SIZENTRY_SELECT, NEED_SOFTPIN, NEED_USERID, STATUS_DIALOG_END, STATUS_DIALOG_END_DONE, STATUS_DIALOG_INIT, STATUS_DIALOG_INIT_DONE, STATUS_INIT_SIGID, STATUS_INIT_SIGID_DONE, STATUS_INIT_SYSID, STATUS_INIT_SYSID_DONE, STATUS_INIT_UPD, STATUS_INIT_UPD_DONE, STATUS_INST_BPD_INIT, STATUS_INST_BPD_INIT_DONE, STATUS_INST_GET_KEYS, STATUS_INST_GET_KEYS_DONE, STATUS_LOCK_KEYS, STATUS_LOCK_KEYS_DONE, STATUS_MSG_CREATE, STATUS_MSG_CRYPT, STATUS_MSG_DECRYPT, STATUS_MSG_PARSE, STATUS_MSG_RAW_RECV, STATUS_MSG_RAW_RECV_ENCRYPTED, STATUS_MSG_RAW_SEND, STATUS_MSG_RECV, STATUS_MSG_SEND, STATUS_MSG_SIGN, STATUS_MSG_VERIFY, STATUS_SEND_INFOPOINT_DATA, STATUS_SEND_KEYS, STATUS_SEND_KEYS_DONE, STATUS_SEND_TASK, STATUS_SEND_TASK_DONE, TYPE_BOOLEAN, TYPE_NONE, TYPE_SECRET, TYPE_TEXT, USERID_CHANGED, WRONG_PIN`

## Constructor Summary

Constructors
Constructor
Description
`HBCICallbackSwingInternal(JDesktopPane desk)`

## Method Summary

Modifier and Type
Method
Description
`protected Container`
`createWin(Hashtable currentData, String title, String winname)`
`protected void`
`drawWin(Hashtable currentData, String winname)`
`protected void`
`removeWin(Hashtable currentData, String winname)`

### Methods inherited from class org.kapott.hbci.callback.HBCICallbackSwing

`callback, showConnectionMessage, showInstMessage, showInstMessage`

### Methods inherited from class org.kapott.hbci.callback.HBCICallbackIOStreams

`getInStream, getOutStream, log, readLine, setInStream, setOutStream, status`

### Methods inherited from class org.kapott.hbci.callback.AbstractHBCICallback

`createDefaultLogLine, status, useThreadedCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DIALOG_RESIZABLE

public static final boolean DIALOG_RESIZABLE

See Also:
  - Constant Field Values

### DIALOG_NOT_RESIZABLE

public static final boolean DIALOG_NOT_RESIZABLE

See Also:
  - Constant Field Values

### DIALOG_MAXIMIZABLE

public static final boolean DIALOG_MAXIMIZABLE

See Also:
  - Constant Field Values

### DIALOG_NOT_MAXIMIZABLE

public static final boolean DIALOG_NOT_MAXIMIZABLE

See Also:
  - Constant Field Values

### DIALOG_CLOSABLE

public static final boolean DIALOG_CLOSABLE

See Also:
  - Constant Field Values

### DIALOG_NOT_CLOSABLE

public static final boolean DIALOG_NOT_CLOSABLE

See Also:
  - Constant Field Values

### DIALOG_ICONIFIABLE

public static final boolean DIALOG_ICONIFIABLE

See Also:
  - Constant Field Values

### DIALOG_NOT_ICONIFIABLE

public static final boolean DIALOG_NOT_ICONIFIABLE

See Also:
  - Constant Field Values

## Constructor Details

### HBCICallbackSwingInternal

public HBCICallbackSwingInternal(JDesktopPane desk)

## Method Details

### createWin

protected Container createWin(Hashtable currentData, String title, String winname)

Overrides:
  `createWin` in class `HBCICallbackSwing`

### removeWin

protected void removeWin(Hashtable currentData, String winname)

Overrides:
  `removeWin` in class `HBCICallbackSwing`

### drawWin

protected void drawWin(Hashtable currentData, String winname)

Overrides:
  `drawWin` in class `HBCICallbackSwing`